TFTPD(8C)

NAME
tftpd, in.tftpd - TCP/IP Trivial File Transfer Protocol server

SYNOPSIS
/usr/etc/in.tftpd [-s] [ homedir ]

Sun386i SYNOPSIS
/usr/etc/in.tftpd [-s] [-p] [ homedir ]

AVAILABILITY

This program is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

tftpd is a server that supports the TCP/IP Trivial File Transfer Protocol (TFTP). This server is normally started by inetd(8C) and operates at the port indicated in the tftp Internet service description in the /etc/inetd.conf file; see inetd.conf(5) for details. The default /etc/inetd.conf file starts this server in secure mode, that is, with the -s option enabled. To run unsecure tftpd, modify this file and remove the -s option.

Before responding to a request, the server attempts to change its current directory to homedir; the default value is /tftpboot.

Sun386i DESCRIPTION
The tftpd daemon acts as described above, except that it will perform certain filename mapping operations unless instructed otherwise by the -p command line argument or when operating in a secure environment. This mapping affects only TFTP boot requests and will not affect requests for existing files.

The semantics of the changes are as follows. Only filenames of the format ip-address or ip-address.arch, where ip-address is the IP address in hex, and arch is the hosts's architecture (as returned by the arch(1) command), that do not correspond to files in /tftpboot, are mapped. If the address is known through a Network Information Service (NIS) lookup, any file of the form /tftpboot/ip-address* (with or without a suffix) is returned. If there are multiple such files, any one may be returned. If the ip-address is unknown (that is if the ipalloc (8C) service says the name service does not know the address), the filename is mapped as follows: Names without the arch suffix are mapped into the name pnp.SUN3, and names with the suffix are mapped into pnp. arch. That file is returned if it exists.

OPTIONS

-s  Secure. When specified, the directory change must succeed; and the daemon also changes its root directory to homedir. This option is set in the default /etc/inetd.conf file.

    The use of tftp does not require an account or password on the remote system. Due to the lack of authentication information, tftpd will allow only publicly readable files to be accessed. Files may be written only if they already exist and are publicly writable. Note: this extends the concept of “public” to include all users on all hosts that can be reached through the network; this may not be appropriate on all systems, and its implications should be considered before enabling this service.

tftpd runs with the user ID (UID) and group ID (GID) set to -2, under the assumption that no files exist with that owner or group. However, nothing checks this assumption or enforces this restriction.

Sun386i OPTIONS

-p  Disable pnp entirely. Do not map filenames.

Sun386i FILES

/tftpboot/*
    filenames are IP addresses

SEE ALSO
tftp(1C) inetd(8C), ipallocd(8C), netconfig(8C),

Sollins, K.R., The TFTP Protocol (Revision 2), RFC 783, Network Information Center, SRI International, Menlo Park, Calif., June 1981.

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.

Sun386i WARNINGS

A request for an ip-address from a Sun-4 can be satisfied by a file named ip-address.386 for compatibility with some early Sun-4 PROM monitors.